#!/usr/bin/env python

from __future__ import print_function, unicode_literals, division

import argparse

from pyrouge import Rouge155
from pyrouge.utils.argparsers import model_sys_parser, config_parser

def get_args():
	parser = argparse.ArgumentParser(parents=[model_sys_parser, config_parser])
	return parser.parse_args()

def main():
	args = get_args()
	Rouge155.write_config_static(
		args.system_dir, args.system_filename_pattern,
		args.model_dir, args.model_filename_pattern,
		args.config_file_path, args.system_id)

if __name__ == "__main__":
        main()
